Page MenuHomePhabricator

[LLDBRegisterNum] Update function call llvm::codeview::getRegisterNames(CPUType) in lldb
AbandonedPublic

Authored by kusmour on Jun 1 2019, 12:15 AM.

Details

Reviewers
xiaobai
compnerd
Summary

llvm updated the function from llvm::codeview::getRegisterNames() to llvm::codeview::getRegisterNames(CPUType)
according to the function implementation, there are only two different register number list: ARM64 for ARM64, X64 for all others
the backends for arm64 and aarch64 are merged so from lldb side, aarch64 will have llvm::codeview::CPUType::ARM64
and others will set CPUType to llvm::codeview::CPUType::X64 for now

Diff Detail

Repository
rLLDB LLDB

Event Timeline

kusmour created this revision.Jun 1 2019, 12:15 AM
kusmour retitled this revision from [LLDBregisterNum] Update function call llvm::codeview::getRegisterNames(CPUType) in lldb to [LLDBRegisterNum] Update function call llvm::codeview::getRegisterNames(CPUType) in lldb.Jun 1 2019, 1:22 AM
xiaobai requested changes to this revision.Jun 1 2019, 10:03 PM
xiaobai added inline comments.
lldb/source/Plugins/SymbolFile/NativePDB/PdbFPOProgramToDWARFExpression.cpp
32

break here

This revision now requires changes to proceed.Jun 1 2019, 10:03 PM
kusmour updated this revision to Diff 202585.Jun 1 2019, 10:29 PM

fix switch statement

kusmour marked 2 inline comments as done.Jun 1 2019, 10:29 PM
kusmour added inline comments.
lldb/source/Plugins/SymbolFile/NativePDB/PdbFPOProgramToDWARFExpression.cpp
32

omg thx

mgorny added a subscriber: mgorny.Jun 2 2019, 8:18 AM

As I said on the other patch, I don't believe this belongs in LLDB. Otherwise, you require every user of codeview to maintain and update an accurate mapping of targets currently supported by llvm::codeview. Instead, this should be part of codeview API.

compnerd accepted this revision.Jun 2 2019, 10:44 AM

Generally, clang-format the changes, it will catch the formatting things.

lldb/source/Plugins/SymbolFile/NativePDB/PdbFPOProgramToDWARFExpression.cpp
28

Space after the switch.

35

Please add a break after this.

kusmour abandoned this revision.Jun 3 2019, 10:39 AM
kusmour marked an inline comment as done.

D62772 toke care of this